<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://qconsulting.ca/fo3/ModConfig5.0.xsd">
  <moduleName>GlassUI</moduleName>
  <installSteps order="Explicit">
    <installStep name="GlassUI - Options">
      <optionalFileGroups order="Explicit">
        <group name="Options" type="SelectExactlyOne">
          <plugins order="Explicit">    
	<plugin name="GlassUI with sound">
              <description>
                WILL INSTALL NEW UI SOUNDS
              </description>
              <image path="fomod\images\main.jpg"/>
              <conditionFlags>
                <flag name="x">On</flag>
              </conditionFlags>
              <files>
                <folder source="00 GlassUI" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
	<plugin name="NO SOUNDS">
              <description>
                WILL NOT INSTALL GLASS UI SOUNDS
              </description>
              <image path="fomod\images\main.jpg"/>
              <conditionFlags>
                <flag name="x">On</flag>
              </conditionFlags>
              <files>
                <folder source="00 NOsounds" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
          </plugins>
        </group>
      </optionalFileGroups>
    </installStep>
    <installStep name="x">
      <visible>
        <flagDependency flag="x" value="On" />
      </visible>
      <optionalFileGroups>
        <group name="GlassUI - Options" type="SelectExactlyOne">
          <plugins order="Explicit">
            <plugin name="Deafult">
              <description>
                GlassUI Deafult Apearance.
              </description>
              <image path="fomod\images\white.jpg"/>
		<files>
		<folder source="Default" destination=""/>
                </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
		<plugin name="Apple Red">
              <description>
                GlassUI Apple Red Version.
              </description>
              <image path="fomod\images\red.jpg"/>
              <files>
                <folder source="00 Apple Red" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
            <plugin name="Mystic Purple">
              <description>
                GlassUI Mystic Purple Version.
              </description>
              <image path="fomod\images\purple.jpg"/>
              <files>
                <folder source="00 Mystic Purple" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
		<plugin name="Ken Watanabe Green">
              <description>
                GlassUI Ken Watanabe Green Version.
              </description>
              <image path="fomod\images\green.jpg"/>
              <files>
                <folder source="00 Ken Watanabe Green" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
            <plugin name="Wobbuffet Blue">
              <description>
                GlassUI Wobbuffet Blue Version.
              </description>
              <image path="fomod\images\blue.jpg"/>
              <files>
                <folder source="00 Wobbuffet Blue" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
		<plugin name="Brum Yellow">
              <description>
                GlassUI Brum Yellow Version.
              </description>
              <image path="fomod\images\yellow.jpg"/>
              <files>
                <folder source="00 Brum Yellow" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
            <plugin name="Yuri Pink">
              <description>
                GlassUI Yuri Pink Version.
              </description>
              <image path="fomod\images\pink.jpg"/>
              <files>
                <folder source="00 Yuri Pink" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
          </plugins>
        </group>
      </optionalFileGroups>
    </installStep>
    <installStep name="x">
      <visible>
        <flagDependency flag="x" value="On" />
      </visible>
      <optionalFileGroups>
        <group name="Optional Maps and huds" type="SelectAtMostOne">
          <plugins>
            <plugin name="Small HUD with Vanilla Map Markers with SIM HUD">
              <description>
                Glass Sim Hud with Deafult Map.
              </description>
              <image path=""/>
              <files>
                <folder source="00 Vanilla Map Markers" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
            <plugin name="Small HUD with colored Map Markers with SIM HUD">
              <description>
		Glass Sim Hud with Colored map icons.
              </description>
              <image path="fomod\images\cm.jpg"/>
              <files>
                <folder source="00 Colored Map Markers" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
            <plugin name="Red Glass Map">
              <description>
		Map for Apple Red Glass
              </description>
              <files>
                <folder source="00 mapred" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
            <plugin name="Purple Glass Map">
              <description>
		Map for Mystic Purple Glass
              </description>
              <files>
                <folder source="00 mappurple" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
            <plugin name="Green Glass Map">
              <description>
		Map for Ken Watanabe Green Glass
              </description>
              <files>
                <folder source="00 mapgreen" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
            <plugin name="Blue Glass Map">
              <description>
		Map for Wobbuffet Blue Glass
              </description>
              <files>
                <folder source="00 mapblue" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
            <plugin name="Yellow Glass Map">
              <description>
		Map for Brum Yellow Glass
              </description>
              <files>
                <folder source="00 mapyellow" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
            <plugin name="Pink Glass Map">
              <description>
		Map for Yuri Pink Glass
              </description>
              <files>
                <folder source="00 mappink" destination=""/>
              </files>
              <typeDescriptor>
                <type name="Optional"/>
              </typeDescriptor>
            </plugin>
          </plugins>
        </group>
      </optionalFileGroups>
    </installStep>
  </installSteps>
</config>